Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# default_construct_pixels
[STL-like Algorithms]

## Detailed Description

invokes the default constructor on every pixel of an image view

default_construct_pixels

## Functions

template<typename View>
void | default_construct_pixels (const View &img_view)
| Invokes the in-place default constructor on every pixel of the (uninitialized) view. Does not support planar heterogeneous views. If an exception is thrown destructs any in-place default-constructed pixels.